# -*- coding: utf-8; -*-
"""
Sideshow CLI
"""

import typer

from wuttjamaican.cli import make_typer


sideshow_typer = make_typer(
    name='sideshow',
    help="Sideshow -- Case/Special Order Tracker"
)


@sideshow_typer.command()
def install(
        ctx: typer.Context,
):
    """
    Install the Sideshow app
    """
    config = ctx.parent.wutta_config
    app = config.get_app()
    install = app.get_install_handler(pkg_name='sideshow',
                                      app_title="Sideshow",
                                      pypi_name='Sideshow',
                                      egg_name='Sideshow')
    install.run()
